﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="Infragistics_Test.WebForm1" %>

<%@ Register assembly="Infragistics4.Web.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>

<!DOCTYPE html>

<script type="text/javascript">
<!--

    function Grid_Paging_PageIndexChanged(sender) {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        //var dropdownlist = document.getElementById("Grid_ctl00_ctl00_DropDownList1");
        var dropdownlist = document.getElementById("<%=Grid.ClientID%>".concat("_ctl00_ctl00_DropDownList1"));

        dropdownlist.options[parentGrid.get_behaviors().get_paging().get_pageIndex()].selected = true;
    }

    function PrevButton_Click() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        if (parentGrid.get_behaviors().get_paging().get_pageIndex() > 0) {
            parentGrid.get_behaviors().get_paging().set_pageIndex(parentGrid.get_behaviors().get_paging().get_pageIndex() - 1);
        }
    }

    function NextButton_Click() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        if (parentGrid.get_behaviors().get_paging().get_pageIndex() < parentGrid.get_behaviors().get_paging().get_pageCount() - 2) {
            parentGrid.get_behaviors().get_paging().set_pageIndex(parentGrid.get_behaviors().get_paging().get_pageIndex() + 1);
    }
}

function FirstButton_Click() {
    var grid = $find('<%=Grid.ClientID%>');
    var parentGrid = grid.get_gridView();
    parentGrid.get_behaviors().get_paging().set_pageIndex(0);
}

function LastButton_Click() {
    var grid = $find('<%=Grid.ClientID%>');
    var parentGrid = grid.get_gridView();
    parentGrid.get_behaviors().get_paging().set_pageIndex(parentGrid.get_behaviors().get_paging().get_pageCount() - 2);
}

function IndexChanged() {
    var grid = $find('<%=Grid.ClientID%>');
    var parentGrid = grid.get_gridView();

    var dropdownlist = document.getElementById("<%=Grid.ClientID%>".concat("_ctl00_ctl00_DropDownList1"));
    parentGrid.get_behaviors().get_paging().set_pageIndex(dropdownlist.selectedIndex);
}
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <div>
        <ig:WebHierarchicalDataGrid ID="Grid" runat="server" Height="350px" Width="100%" AutoGenerateBands="False"
            OnPageIndexChanged="Grid_PageIndexChanged" OnGroupedColumnsChanged="Grid_GroupedColumnsChanged" OnRowIslandDataBound="Grid_RowIslandDataBound">
            <GroupingSettings EnableColumnGrouping="True">
            </GroupingSettings>
            <Behaviors>
        <ig:Paging PageSize="1" >
            <PagingClientEvents PageIndexChanged="Grid_Paging_PageIndexChanged" />
            <PagerTemplate>
                <asp:Button runat="server" ID="FirstButton" Text="<<" OnClientClick="FirstButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />
                <asp:Button runat="server" ID="PrevButton" Text="<" OnClientClick="PrevButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />
                <asp:Button runat="server" ID="NextButton" Text=">" OnClientClick="NextButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />
                <asp:Button runat="server" ID="LastButton" Text=">>" OnClientClick="LastButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />
                <asp:DropDownList ID="DropDownList1" runat="server" Height="26px" OnChange="IndexChanged()"></asp:DropDownList>
                <asp:Label ID="PageCount" runat="server" Text="von 1" Height="22px"></asp:Label>
            </PagerTemplate>
        </ig:Paging>
            </Behaviors>
        </ig:WebHierarchicalDataGrid>
    </div>
    </form>
</body>
</html>
